package com.usky.system.service.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.usky.system.domain.SysDept;
import com.usky.system.domain.SysMobileMenu;


import java.io.Serializable;
import java.util.List;
import java.util.stream.Collectors;

/**
 * Treeselect树结构实体类
 *
 * @author yq
 */
public class TreeMobileSelect {
    private static final long serialVersionUID = 1L;

    /** 节点ID */
    private Long id;

    /** 节点名称 */
    private String label;

    /** 子节点 */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<TreeMobileSelect> children;

    public TreeMobileSelect()
    {

    }

    public TreeMobileSelect(SysDept dept)
    {
        this.id = dept.getDeptId();
        this.label = dept.getDeptName();
        this.children = dept.getChildren().stream().map(TreeMobileSelect::new).collect(Collectors.toList());
    }

    public TreeMobileSelect(SysMobileMenu menu)
    {
        this.id = menu.getMenuId();
        this.label = menu.getMenuName();
        this.children = menu.getChildren().stream().map(TreeMobileSelect::new).collect(Collectors.toList());
    }

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getLabel()
    {
        return label;
    }

    public void setLabel(String label)
    {
        this.label = label;
    }

    public List<TreeMobileSelect> getChildren()
    {
        return children;
    }

    public void setChildren(List<TreeMobileSelect> children)
    {
        this.children = children;
    }
}
